Subject: [Enum] rfc2916bis 2.5 ENUM Resolver

From: [email-masked]
Date: Thu, 22 Jan 2004 19:44:20 +0900 (JST)

I'm confused about rfc2916bis section 2.5 Enum Resolver.

I have some questions.

1. plural URIs (same service) in one ENUM entry

May I register three URIs (same service) in one number ?
Can callers fallback to the live URI?

It seems to be NO in rfc2916bis section 2.5.

for example, I want to write three NAPTR RRs in one number and I want
that callers call office and home and vacation URIs in priority order
until I answer.

 sip:[email-masked]    first  priority
 sip:[email-masked]     second priority
 sip:[email-masked] third  priority

2. Multi-function ENUM client behavior

Some client has plural functions like e-mail, web-browser, and telephone.
(many japanese mobile phone can handle mailto:, http:, tel: URIs.)

and we can write plural entries in ENUM DNS.
   email:mailto  mailto:name@domain
   web:http      http://domain
   tel           tel:+telno

When the caller want to contact the callee via telephone, SIP or email.
may ENUM resolver check ENUM entry
 with plural enumservice like tel or sip or email:mailto?

can ENUM resolver show plural choices ?

regards,

--
Fujiwara, Kazunori	JPRS

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum